FINDMNT(8)

NOM
findmnt - Trouver un système de fichiers

SYNOPSIS

findmnt [options]

findmnt [options] périphérique|point_de_montage

findmnt [options] [--source] périphérique [--target chemin]|[--mountpoint point_de_montage]

DESCRIPTION

findmnt affichera la liste de tous les systèmes de fichiers montés ou recherchera un système de fichiers. La commande findmnt peut chercher dans /etc/fstab, /etc/mtab ou /proc/self/mountinfo. Si périphérique ou point_de_montage ne sont pas donnés, tous les systèmes de fichiers sont montrés.

Le périphérique peut être indiqué par son nom de périphérique, les numéros maj:min, l’étiquette (LABEL) ou l’UUID de système de fichiers ou l’étiquette (PARTLABEL) ou PARTUUID de partition. Remarquez findmnt suit le comportement de mount(8) selon lequel un nom de périphérique peut être interprété comme un point de montage (et vice versa) si les options --target, --mountpoint ou --source ne sont pas indiquées.

The command-line option --target accepts any file or directory and then findmnt displays the filesystem for the given path.

The command prints all mounted filesystems in the tree-like format by default. The default output, is subject to change. So whenever possible, you should avoid using default output in your scripts. Always explicitly define expected columns by using --output columns-list in environments where a stable output is required.

The relationship between block devices and filesystems is not always one-to-one. The filesystem may use more block devices. This is why findmnt provides SOURCE and SOURCES (pl.) columns. The column SOURCES displays all devices where it is possible to find the same filesystem UUID (or another tag specified in fstab when executed with --fstab and --evaluate).

OPTIONS

-A, --all
    Désactiver tous les filtres intégrés et afficher tous les systèmes de fichiers.

-a, --ascii
    Utiliser des caractères ASCII pour le formatage d’arborescence.

-b, --bytes
    Afficher la taille (colonne SIZE) en octets plutôt qu’en format lisible.

    Par défaut, l’unité des tailles est exprimée en octets SI et les préfixes d’unités sont des puissances de 2^10 (1024). Les abréviations des symboles sont affichées tronquées afin d’offrir une meilleure lisibilité. Seule la première lettre est affichée. Par exemple, « 1 Kio » et « 1 Mio » sont affichés comme « 1 K » et « 1 M » respectivement en omettant volontairement la mention « io » qui fait partie de ces abréviations.

-C, --nocanonicalize
    Ne pas canoniser du tout les chemins. Cette option affecte la comparaison de chemin et l’évaluation d’étiquettes (LABEL, UUID, etc.).

-c, --canonicalize
    Rendre tous les chemins affichés canoniques.

--deleted
    Print filesystems where target (mountpoint) is marked as deleted by kernel.

-D, --df
    Imitate the output of df(1). This option is equivalent to -o SOURCE,FSTYPE,SIZE,USED,AVAIL,USE%,TARGET but excludes all pseudo filesystems. Use --all to print all filesystems.

-d, --direction mot
    La direction de recherche, soit forward (en avant), soit backward (en arrière).

-e, --evaluate
    Convert all tags (LABEL, UUID, PARTUUID, or PARTLABEL) to the corresponding device names for the SOURCE column. It’s an unusual situation, but the same tag may be duplicated (used for more devices). For this purpose, there is SOURCES (pl.) column. This column displays by multi-line cell all devices where the tag is detected by libblkid. This option makes sense for fstab only.

-F, --tab-file chemin
    Chercher dans un autre fichier. Si elle est utilisée avec --fstab, --mtab ou --kernel, alors elle remplace les chemins par défaut. Si elle est indiquée plus d’une fois, alors la sortie au format arborescent est désactivée (consultez l’option --list).

-f, --first-only
    N’afficher que le premier système de fichiers correspondant.

-i, --invert
    Inverser le sens de la correspondance.

-J, --json
    Utiliser le format de sortie JSON.

-k, --kernel
    Search in /proc/self/mountinfo. The output is in the tree-like format. This is the default. The output contains only mount options maintained by kernel (see also --mtab).

-l, --list
    Utiliser l’affichage au format liste. Ce format de sortie est activé automatiquement si la sortie est restreinte par les options -t, -O, -S ou -T et que l’option --submounts n’est pas utilisée ou si plus d’un fichier source (l’option -F) est indiqué.

-M, --mountpoint chemin
    Définir explicitement le fichier ou le répertoire de point de montage. Consultez aussi --target.

-m, --mtab
    Rechercher dans /etc/mtab. L’affichage est au format liste par défaut (consultez --tree). La sortie peut inclure les options de montage en espace utilisateur.

-N, --task idt
    Utiliser l’espace de noms alternatif /proc/<idt>/mountinfo au lieu de /proc/self/mountinfo par défaut. Si l’option est indiquée plus d’une fois, alors la sortie au format arborescent est désactivée (consultez l’option --list). Consultez également la commande unshare(1).

-n, --noheadings
    Ne pas imprimer de ligne d’en-tête.

-O, --options liste
    Limiter l’ensemble de systèmes de fichiers affichés. Plusieurs options peuvent être indiquées, séparées par des virgules. Les options -t et -O sont de fait cumulatives. Cela est différent de l’option -t car chaque option est appliquée strictement. Un no au début d’une option n’a pas de signification globale. Le no peut être utilisé pour des éléments individuels de la liste. L’interprétation du préfixe no peut être désactivée par le préfixe +.

-o, --output liste
    Définir les colonnes de sortie. Consultez la sortie de --help pour obtenir une liste des colonnes actuellement prises en charge. La colonne TARGET contient le formatage d’arborescence si les options --list ou --raw ne sont pas indiquées.

    La liste de colonnes par défaut peut être étendue si liste est indiquée sous la forme +liste (par exemple, findmnt -o +PROPAGATION).

--output-all
    Afficher quasiment toutes les colonnes disponibles. Les colonnes nécessitant --poll ne sont pas incluses.

-P, --pairs
    Produce output in the form of key="value" pairs. All potentially unsafe value characters are hex-escaped (\x<code>). See also option --shell.

-p, --poll[=liste]
    Surveiller les modifications du fichier /proc/self/mountinfo. Les actions permises sont : mount (montage), umount (démontage), remount (remontage) et move (déplacement). Plusieurs actions peuvent être indiquées dans une liste, séparées par des virgules. Toutes les actions sont surveillées par défaut.

    Le temps pendant lequel --poll bloquera peut être limité avec les options --timeout ou --first-only.

    Les colonnes standards utilisent toujours la nouvelle version des renseignements du fichier mountinfo, sauf pour l’action umount qui est basée sur les renseignements d’origine mis en cache par findmnt(8). Le mode --poll permet d’utiliser des colonnes supplémentaires :

    ACTION
        noms d’action mount, umount, move ou remount ; cette colonne est activée par défaut ;

    OLD-TARGET
        disponible pour les actions umount et move ;

    OLD-OPTIONS
        disponible pour les actions umount et remount.

--pseudo
    N’afficher que les pseudo-systèmes de fichiers.

--shadow
    Print only filesystems over-mounted by another filesystem.

-R, --submounts
    Afficher récursivement tous les sous-montages des systèmes de fichiers sélectionnés. Les restrictions définies par les options -t, -O, -S, -T et --direction ne sont pas appliquées aux sous-montages. Tous les sous-montages sont toujours affichés dans l’ordre de l’arborescence. L’option active la sortie au format arborescent par défaut. Cette option est sans effet avec --mtab ou --fstab.

-r, --raw
    Utiliser le format de sortie brut. Tous les caractères potentiellement non sûrs sont protégés de façon hexadécimale (\x<code>).

--real
    N’afficher que les système de fichiers réels.

-S, --source spécification
    Définir explicitement la source de montage. Les spécifications prises en charge sont périphérique, maj:min, LABEL=étiquette, UUID=uuid, PARTLABEL=étiquette et PARTUUID=uuid.

-s, --fstab
    Rechercher dans /etc/fstab. L’affichage est au format liste (consultez l’option --list).

-T, --target chemin
    Définir la cible de montage. Si le chemin n’est pas un fichier de point de montage ou un répertoire, findmnt vérifie les éléments de chemin dans l’ordre inverse pour obtenir le point de montage (cette fonctionnalité n’est prise en charge que pour la recherche dans les fichiers du noyau mais n’est pas prise en charge pour --fstab). Il est recommandé d’utiliser l’option --mountpoint quand les vérifications des éléments de chemin ne sont pas désirées et que chemin est un point de montage indiqué strictement.

-t, --types liste
    Limiter l’ensemble de systèmes de fichiers affichés. Plusieurs types peuvent être indiqués, séparés par des virgules. La liste des types de systèmes de fichiers peut être préfixée par no pour indiquer les systèmes de fichiers pour lesquels aucune action ne doit être menée. Pour plus de précisions, consultez mount(8).

--tree
    Enable tree-like output if possible. The options is silently ignored for tables where is missing child-parent relation (e.g., fstab).

--shadowed
    Print only filesystems over-mounted by another filesystem.

-U, --uniq
    Ignorer les systèmes de fichiers avec des cibles de montage dupliquées, et ainsi sauter les points de montage « sur-montés ».

-u, --notruncate
    Ne pas tronquer le texte des colonnes. Les colonnes TARGET, SOURCE, UUID, LABEL, PARTUUID, PARTLABEL ne sont pas tronquées par défaut. Cette option désactive aussi la troncature dans toutes les autres colonnes.

-v, --nofsroot
    Ne pas afficher de [/dir] dans la colonne SOURCE pour les remontages (bind) ou les sous-volumes Btrfs.

-w, --timeout délai
    Indiquer une limite maximale de temps pendant lequel --poll bloquera, en milliseconde.

-x, --verify
    Check mount table content. The default is to verify /etc/fstab parsability and usability. It’s possible to use this option also with --tab-file. It’s possible to specify source (device) or target (mountpoint) to filter mount table. The option --verbose forces findmnt to print more details.

--verbose
    Force findmnt to print more information (--verify only for now).

--vfs-all
    When used with VFS-OPTIONS column, print all VFS (fs-independent) flags. This option is designed for auditing purposes to list also default VFS kernel mount options which are normally not listed.

-y, --shell
    The column name will be modified to contain only characters allowed for shell variable identifiers. This is usable, for example, with --pairs. Note that this feature has been automatically enabled for --pairs in version 2.37, but due to compatibility issues, now it’s necessary to request this behavior by --shell.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher le numéro de version et quitter.

CODE DE RETOUR

The exit value is 0 if there is something to display, or 1 on any error (for example if no filesystem is found based on the user’s filter specification, or the device path or mountpoint does not exist).

ENVIRONNEMENT

LIBMOUNT_FSTAB=<path>
    overrides the default location of the fstab file

LIBMOUNT_MTAB=<path>
    overrides the default location of the mtab file

LIBMOUNT_DEBUG=all
    Activer la sortie de débogage de libmount.

LIBSMARTCOLS_DEBUG=all
    Activer la sortie de débogage de libsmartcols.

LIBSMARTCOLS_DEBUG_PADDING=on
    Utiliser des caractères de remplissage visibles.

EXEMPLES

findmnt --fstab -t nfs
    Afficher tous les systèmes de fichiers NFS définis dans /etc/fstab.

findmnt --fstab /mnt/toto
    Afficher tous les systèmes de fichiers de /etc/fstab où le répertoire du point de montage est /mnt/toto. Cela affiche aussi les remontages dont /mnt/toto est source.

findmnt --fstab --target /mnt/toto
    Afficher tous les systèmes de fichiers de /etc/fstab où le répertoire du point de montage est /mnt/toto.

findmnt --fstab --evaluate
    Afficher tous les systèmes de fichiers de /etc/fstab et convertir les étiquettes et UUID en véritables noms de périphérique.

findmnt -n --raw --evaluate --output=target LABEL=/boot
    N’afficher que le point de montage où le système de fichiers avec l’étiquette « /boot » est monté.

findmnt --poll --mountpoint /mnt/toto
    Surveiller les montage, démontage, remontage et déplacement de /mnt/toto.

findmnt --poll=umount --first-only --mountpoint /mnt/toto
    Attendre le démontage de /mnt/toto.

findmnt --poll=remount -t ext3 -O ro
    Surveiller les remontages en mode lecture seule de tous les systèmes de fichiers ext3.

AUTEURS

VOIR AUSSI

fstab(5), mount(8)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le gestionnaire de bogues sur

DISPONIBILITÉ

La commande findmnt fait partie du paquet util-linux, elle est disponible sur